OpenVDB 7.0.0

Public Member Functions | Public Attributes | List of all members
GridNamePred Struct Reference

Predicate functor that returns `true` for grids that have a specified name. More...

`#include <Grid.h>`

## Public Member Functions
| GridNamePred (const Name &_name)
bool | operator() (const GridBase::ConstPtr &g) const

## Public Attributes
Name | name

## Detailed Description

Predicate functor that returns `true` for grids that have a specified name.

## Constructor & Destructor Documentation

## ◆ GridNamePred()

GridNamePred | ( | const Name & | _name | ) |
| inline

## Member Function Documentation

## ◆ operator()()

bool operator() | ( | const GridBase::ConstPtr & | g | ) | const
| inline

## Member Data Documentation

## ◆ name

Name name

The documentation for this struct was generated from the following file:

- Grid.h